Bug 165952 - [patch] bsd.port.mk: add USE_QT4 to include bsd.qt.mk
Summary: [patch] bsd.port.mk: add USE_QT4 to include bsd.qt.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-12 00:10 UTC by Alberto Villa
Modified: 2012-05-24 08:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.75 KB, patch)
2012-03-12 00:10 UTC, Alberto Villa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto Villa freebsd_committer 2012-03-12 00:10:09 UTC
Currently, to depend on Qt 4 ports one has to define both USE_QT_VER and QT_COMPONENTS. We (kde@) would like to add support for the KDE-like USE_QT4, obviously leaving compatibility with current system.

While here, I also reformatted a bit the descriptions of our own variables.

This is with my kde@ hat on.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-03-12 00:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2012-05-22 08:01:57 UTC
Responsible Changed
From-To: portmgr->miwi

take for exprun
Comment 3 Martin Wilke freebsd_committer 2012-05-22 08:04:46 UTC
State Changed
From-To: open->feedback

waiting for some example :).
Comment 4 dfilter service freebsd_committer 2012-05-24 08:11:50 UTC
miwi        2012-05-24 07:11:41 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk bsd.qt.mk 
  Log:
  - Add USE_QT4 to include bsd.qt.mk
  
  PR:             165952
  Submitted by:   avilla@
  Tested by:      phw
  
  Revision  Changes    Path
  1.711     +12 -7     ports/Mk/bsd.port.mk
  1.31      +4 -1      ports/Mk/bsd.qt.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2012-05-24 08:11:53 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!